"use strict";
/*
 * Copyright (C) 2018 TypeFox and others.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at http://www.apache.org/licenses/LICENSE-2.0
 */
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * **IMPORTANT** this module should not depend on `vscode-languageserver` only protocol and types
 */
const lsp = require("vscode-languageserver-protocol");
var Commands;
(function (Commands) {
    Commands.APPLY_WORKSPACE_EDIT = "_typescript.applyWorkspaceEdit";
    Commands.APPLY_CODE_ACTION = "_typescript.applyCodeAction";
    Commands.APPLY_REFACTORING = "_typescript.applyRefactoring";
    Commands.ORGANIZE_IMPORTS = '_typescript.organizeImports';
    /** Commands below should be implemented by the client */
    Commands.APPLY_COMPLETION_CODE_ACTION = "_typescript.applyCompletionCodeAction";
    Commands.SELECT_REFACTORING = '_typescript.selectRefactoring';
})(Commands = exports.Commands || (exports.Commands = {}));
var TypeScriptRenameRequest;
(function (TypeScriptRenameRequest) {
    TypeScriptRenameRequest.type = new lsp.RequestType("_typescript.rename");
})(TypeScriptRenameRequest = exports.TypeScriptRenameRequest || (exports.TypeScriptRenameRequest = {}));
//# sourceMappingURL=commands.js.map