/// <reference path="../../node_modules/@types/lodash/common/common.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/array.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/collection.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/date.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/function.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/lang.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/math.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/number.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/object.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/seq.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/string.d.ts" />
/// <reference path="../../node_modules/@types/lodash/common/util.d.ts" />
import * as tsp from 'typescript/lib/protocol';
import * as lsp from 'vscode-languageserver';
import { Logger } from './logger';
import { EventTypes } from './tsp-command-types';
export declare class DiagnosticEventQueue {
    protected publicDiagnostics: (params: lsp.PublishDiagnosticsParams) => void;
    protected logger: Logger;
    protected readonly diagnostics: Map<string, Map<EventTypes, lsp.Diagnostic[]>>;
    constructor(publicDiagnostics: (params: lsp.PublishDiagnosticsParams) => void, logger: Logger);
    updateDiagnostics(kind: EventTypes, event: tsp.DiagnosticEvent): void;
    protected firePublishDiagnostics: ((file: string) => void) & import("_").Cancelable;
    protected getDiagnostics(file: string): lsp.Diagnostic[];
}
//# sourceMappingURL=diagnostic-queue.d.ts.map